JarBinarySpec (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.jvm

## [Java] Interface JarBinarySpec

- org.gradle.api.BuildableComponentSpec

- All Superinterfaces:
    BinarySpec, ModelElement, ComponentSpec, LibraryBinarySpec, Named, JvmBinarySpec, Buildable, BuildableComponentSpec

  Definition of a Jar file binary that is to be built by Gradle.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `JarBinarySpec.TasksCollection` | Provides access to key tasks used for building the binary.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getApiJarFile()` The API jar file output for this binary.
    `Set<String>` | `getExportedPackages()`
    `LibraryBinaryIdentifier` | `getId()` The unique identifier of this JarBinarySpec.
    `File` | `getJarFile()` The jar file output for this binary.
    `JvmLibrarySpec` | `getLibrary()` {@inheritDoc}
    `JarBinarySpec.TasksCollection` | `getTasks()` {@inheritDoc}
    `void` | `setApiJarFile(File jarFile)` Sets the API jar file output for this binary.
    `void` | `setExportedPackages(Set<String> exportedPackages)`
    `void` | `setJarFile(File jarFile)` Sets the jar file output for this binary.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface JvmBinarySpec` | `getClassesDir, getResourcesDir, getTargetPlatform, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`
    `interface LibraryBinarySpec` | `getLibrary`

- - ### Method Detail

    - #### public File getApiJarFile()

      The API jar file output for this binary.

    - #### public Set<String> getExportedPackages()

    - #### public LibraryBinaryIdentifier getId()

      The unique identifier of this JarBinarySpec.

    - #### public File getJarFile()

      The jar file output for this binary.

    - #### @Override public JvmLibrarySpec getLibrary()

      {@inheritDoc}

    - #### @Override public JarBinarySpec.TasksCollection getTasks()

      {@inheritDoc}

    - #### public void setApiJarFile(File jarFile)

      Sets the API jar file output for this binary.

    - #### public void setExportedPackages(Set<String> exportedPackages)

    - #### public void setJarFile(File jarFile)

      Sets the jar file output for this binary.